# fdkaacenc

FDK AAC audio encoder

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioEncoder
                        ╰──fdkaacenc

## Implemented interfaces

    GstPreset

## Factory details

Authors: – Sebastian Dröge

Classification: – `Codec/Encoder/Audio/Converter`

Rank – primary

Plugin – fdkaac

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: { (int)8000, (int)11025, (int)12000, (int)16000, (int)22050, (int)24000, (int)32000, (int)44100, (int)48000, (int)64000, (int)88200, (int)96000 }
           channels: { (int)1, (int)2, (int)3, (int)4, (int)5, (int)6, (int)8 }

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/mpeg:
        mpegversion: 4
               rate: { (int)8000, (int)11025, (int)12000, (int)16000, (int)22050, (int)24000, (int)32000, (int)44100, (int)48000, (int)64000, (int)88200, (int)96000 }
           channels: { (int)1, (int)2, (int)3, (int)4, (int)5, (int)6, (int)8 }
      stream-format: { (string)adts, (string)adif, (string)raw }
            profile: { (string)lc, (string)he-aac-v1, (string)he-aac-v2, (string)ld }
             framed: true

Presence – always

Direction – src

Object type – GstPad

## Properties

### afterburner

    “afterburner” gboolean

Afterburner - Quality Parameter.

Flags : Read / Write

Default value : false

Since : 1.22

### bitrate

    “bitrate” gint

Target Audio Bitrate. Only applicable if rate-control=cbr. (0 = fixed value based on sample rate and channel count)

Flags : Read / Write

Default value : 0

### peak-bitrate

    “peak-bitrate” gint

Peak Bitrate to adjust maximum bits per audio frame.

Flags : Read / Write

Default value : 0

Since : 1.22

### rate-control

    “rate-control” Fdk-aac-rate-control *

Rate Control.

Flags : Read / Write

Default value : cbr (0)

Since : 1.22

### vbr-preset

    “vbr-preset” Fdk-aac-vbr-preset *

AAC Variable Bitrate configurations.

Flags : Read / Write

Default value : medium (3)

Since : 1.22

## Named constants

### Fdk-aac-rate-control

#### Members

`cbr` (0) – Constant Bitrate
`vbr` (1) – Variable Bitrate

Since : 1.22

### Fdk-aac-vbr-preset

#### Members

`very-low` (1) – Very Low Variable Bitrate
`low` (2) – Low Variable Bitrate
`medium` (3) – Medium Variable Bitrate
`high` (4) – High Variable Bitrate
`very-high` (5) – Very High Variable Bitrate

Since : 1.22

The results of the search are